phpmyadmin: Variable lc_messages can’t be set to the value of ru_RU

У меня на Ubuntu 18.04 + MySQL 8.0 + phpmyadmin + панель Vesta CP возникла такая ошибка:
Variable 'lc_messages' can't be set to the value of 'ru_RU'

Решением стало переименование папки с русской локализацией:
Читать далее phpmyadmin: Variable lc_messages can’t be set to the value of ru_RU

Пересоздаем MySQL после серьезного повреждения (в т.ч. на Vesta CP). Сброс root-пароля MySQL. Закончилось место на BTRFS, MySQL упал.

Симптомы в логе MySQL такие:

[ERROR] InnoDB: Invalid redo log header checksum.
[ERROR] InnoDB: Plugin initialization aborted with error Generic error

Читать далее Пересоздаем MySQL после серьезного повреждения (в т.ч. на Vesta CP). Сброс root-пароля MySQL. Закончилось место на BTRFS, MySQL упал.

Обновляем MySQL 5.7 —> 8.0 на Ubuntu 18.04 с панелью Vesta

Скачиваем deb-пакет, который при установке автоматически настроит репозиторий MySQL Community Edition от Oracle. По ссылке внизу «No, tanks, just begin my download». Нажмите на нее правой мышью и скопируйте ссылку на deb-пакет, т.к. ниже я вставил ту, что была акутальна на момент написания статьи.

cd /tmp
wget https://dev.mysql.com/get/mysql-apt-config_0.8.10-1_all.deb
apt install ./mysql-apt-config*.deb

В открывшемся консольном диалоге настройки выберите, что сейчас у вас MySQL 5.7 (скрипт сам это определит и предложит), потом — что хотите поставить 8.0, нажмите стрелку вправо для перевода фокуса на нижний «Ok» и Enter.

apt update
apt dist-upgrade
mysql_upgrade --force -uroot -p